import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import * as chart from '@mescius/wijmo.chart';
import { getData } from './data';
import { Point } from '@mescius/wijmo';
//
document.readyState === 'complete' ? init() : window.onload = init;
//
function init() {
let theChart = new chart.FlexChart('#chart', {
chartType: 'LineSymbols',
itemsSource: getData(),
bindingX: 'hour',
legend: {
position: 'Bottom'
},
series: [
{
binding: 't',
name: 'temperature',
tooltipContent: '{y} °C'
},
{
chartType: "Scatter",
binding: 'wspeed',
name: 'wind speed',
tooltipContent: '{wdir}<br/>{y} km/h',
style: { strokeWidth: 1 },
symbolSize: 3,
itemFormatter: (engine, ht, render) => {
render();
var dir = ht.item.wdir;
drawArrow(engine, ht.point, dir);
}
},
],
axisX: {
title: 'hour'
},
axisY: {
title: '°C',
majorGrid: false,
min: 0,
max: 20
},
});
//
var p = new chart.PlotArea();
p.row = theChart.plotAreas.length;
p.name = 'amounts';
p.height = '*';
p.style = { stroke: 'lightgray' };
theChart.plotAreas.push(p);
// create a spacer plot area
p = new chart.PlotArea();
p.row = theChart.plotAreas.length;
p.name = 'spacer';
p.height = 25;
theChart.plotAreas.push(p);
// create a plot area for quantities
p = new chart.PlotArea();
p.row = theChart.plotAreas.length;
p.name = 'quantities';
p.height = '*';
p.style = { stroke: 'lightgray' };
var axy2 = new chart.Axis(chart.Position.Left);
axy2.labels = true;
axy2.title = 'km/h';
axy2.min = 0;
axy2.max = 20;
axy2.plotArea = p;
theChart.series[1].axisY = axy2;
theChart.plotAreas.push(p);
}
function drawArrow(engine, pt, dir) {
let a = directioToAngle(dir);
a *= Math.PI / 180;
let sz = 12;
let szar = 8;
let x = sz * Math.cos(a);
let y = sz * Math.sin(a);
engine.strokeWidth = 1;
engine.drawLine(pt.x - x, pt.y - y, pt.x + x, pt.y + y);
let edge = new Point(pt.x + x, pt.y + y);
let x1 = szar * Math.cos(a - 100);
let y1 = szar * Math.sin(a - 100);
let x2 = szar * Math.cos(a + 100);
let y2 = szar * Math.sin(a + 100);
engine.drawLine(edge.x, edge.y, edge.x - x1, edge.y - y1);
engine.drawLine(edge.x, edge.y, edge.x - x2, edge.y - y2);
}
function directioToAngle(dir) {
switch (dir) {
case 'E':
return 0;
case 'ESE':
return 22.5;
case 'SE':
return 45;
case 'SSE':
return 67.5;
case 'S':
return 90;
case 'SSW':
return 112.5;
case 'SW':
return 135;
case 'WSW':
return 157.5;
case "W":
return 180;
case "WNW":
return 202.5;
case "NW":
return 225;
case "NNW":
return 247.5;
case "N":
return 270;
case "NNE":
return 292.5;
case "NE":
return 315;
case "ENE":
return 337.5;
}
return 0;
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexChart Custom Series</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div class="container-fluid">
<div id="chart"></div>
</div>
</body>
</html>
export function getData() {
return [
{
"hour": 0,
"condition": "Cloudy",
"t": 8,
"tfeel": 6,
"precip": 5,
"humidity": 85,
"wdir": "ENE",
"wspeed": 11
},
{
"hour": 1,
"condition": "Cloudy",
"t": 7,
"tfeel": 5,
"precip": 5,
"humidity": 87,
"wdir": "ENE",
"wspeed": 10
},
{
"hour": 2,
"condition": "Cloudy",
"t": 7,
"tfeel": 5,
"precip": 5,
"humidity": 88,
"wdir": "ENE",
"wspeed": 11
},
{
"hour": 3,
"condition": "Cloudy",
"t": 7,
"tfeel": 5,
"precip": 5,
"humidity": 88,
"wdir": "ENE",
"wspeed": 11
},
{
"hour": 4,
"condition": "Cloudy",
"t": 7,
"tfeel": 5,
"precip": 10,
"humidity": 91,
"wdir": "ENE",
"wspeed": 11
},
{
"hour": 5,
"condition": "Cloudy",
"t": 6,
"tfeel": 4,
"precip": 15,
"humidity": 92,
"wdir": "ENE",
"wspeed": 11
},
{
"hour": 6,
"condition": "Cloudy",
"t": 6,
"tfeel": 4,
"precip": 15,
"humidity": 92,
"wdir": "ENE",
"wspeed": 11
},
{
"hour": 7,
"condition": "Cloudy",
"t": 7,
"tfeel": 4,
"precip": 15,
"humidity": 93,
"wdir": "ENE",
"wspeed": 12
},
{
"hour": 8,
"condition": "Cloudy",
"t": 7,
"tfeel": 4,
"precip": 20,
"humidity": 93,
"wdir": "ENE",
"wspeed": 13
},
{
"hour": 9,
"condition": "Cloudy",
"t": 7,
"tfeel": 5,
"precip": 25,
"humidity": 93,
"wdir": "ENE",
"wspeed": 13
},
{
"hour": 10,
"condition": "Cloudy",
"t": 8,
"tfeel": 5,
"precip": 20,
"humidity": 93,
"wdir": "ENE",
"wspeed": 14
},
{
"hour": 11,
"condition": "Cloudy",
"t": 8,
"tfeel": 6,
"precip": 20,
"humidity": 90,
"wdir": "ENE",
"wspeed": 15
},
{
"hour": 12,
"condition": "Cloudy",
"t": 9,
"tfeel": 7,
"precip": 10,
"humidity": 88,
"wdir": "ENE",
"wspeed": 16
},
{
"hour": 13,
"condition": "Cloudy",
"t": 10,
"tfeel": 8,
"precip": 5,
"humidity": 84,
"wdir": "ENE",
"wspeed": 16
},
{
"hour": 14,
"condition": "Cloudy",
"t": 12,
"tfeel": 10,
"precip": 15,
"humidity": 79,
"wdir": "ENE",
"wspeed": 15
},
{
"hour": 15,
"condition": "Cloudy",
"t": 13,
"tfeel": 11,
"precip": 10,
"humidity": 76,
"wdir": "ENE",
"wspeed": 15
},
{
"hour": 16,
"condition": "Cloudy",
"t": 14,
"tfeel": 13,
"precip": 10,
"humidity": 74,
"wdir": "ENE",
"wspeed": 12
},
{
"hour": 17,
"condition": "Cloudy",
"t": 14,
"tfeel": 14,
"precip": 5,
"humidity": 72,
"wdir": "ENE",
"wspeed": 10
},
{
"hour": 18,
"condition": "Mostly Cloudy",
"t": 14,
"tfeel": 14,
"precip": 5,
"humidity": 73,
"wdir": "ENE",
"wspeed": 8
},
{
"hour": 19,
"condition": "Mostly Cloudy",
"t": 13,
"tfeel": 13,
"precip": 5,
"humidity": 79,
"wdir": "NE",
"wspeed": 8
},
{
"hour": 20,
"condition": "Partly Cloudy",
"t": 12,
"tfeel": 11,
"precip": 5,
"humidity": 84,
"wdir": "NNE",
"wspeed": 9
},
{
"hour": 21,
"condition": "Partly Cloudy",
"t": 11,
"tfeel": 10,
"precip": 10,
"humidity": 90,
"wdir": "NNE",
"wspeed": 10
},
{
"hour": 22,
"condition": "Partly Cloudy",
"t": 11,
"tfeel": 9,
"precip": 15,
"humidity": 91,
"wdir": "NE",
"wspeed": 10
},
{
"hour": 23,
"condition": "Mostly Cloudy",
"t": 10,
"tfeel": 9,
"precip": 25,
"humidity": 93,
"wdir": "NE",
"wspeed": 11
}
];
}
body {
margin-bottom: 24px;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
},
meta: {
'*.css': { loader: 'css' },
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/5.20261.50-rc/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
'bootstrap.css': 'pcdn:bootstrap@3.3.7/dist/css/bootstrap.min.css',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js',
},
node_modules: {
defaultExtension: 'js',
},
},
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import ReactDOM from 'react-dom/client';
import React from 'react';
import * as chart from '@mescius/wijmo.chart';
import { Point } from '@mescius/wijmo';
import { data } from './data';
import { useEffect } from 'react';
function drawArrow(engine, pt, dir) {
let a = directioToAngle(dir);
a *= Math.PI / 180;
let sz = 12;
let szar = 8;
let x = sz * Math.cos(a);
let y = sz * Math.sin(a);
engine.strokeWidth = 1;
engine.drawLine(pt.x - x, pt.y - y, pt.x + x, pt.y + y);
let edge = new Point(pt.x + x, pt.y + y);
let x1 = szar * Math.cos(a - 100);
let y1 = szar * Math.sin(a - 100);
let x2 = szar * Math.cos(a + 100);
let y2 = szar * Math.sin(a + 100);
engine.drawLine(edge.x, edge.y, edge.x - x1, edge.y - y1);
engine.drawLine(edge.x, edge.y, edge.x - x2, edge.y - y2);
}
function directioToAngle(dir) {
switch (dir) {
case 'E':
return 0;
case 'ESE':
return 22.5;
case 'SE':
return 45;
case 'SSE':
return 67.5;
case 'S':
return 90;
case 'SSW':
return 112.5;
case 'SW':
return 135;
case 'WSW':
return 157.5;
case "W":
return 180;
case "WNW":
return 202.5;
case "NW":
return 225;
case "NNW":
return 247.5;
case "N":
return 270;
case "NNE":
return 292.5;
case "NE":
return 315;
case "ENE":
return 337.5;
}
return 0;
}
function init() {
let theChart = new chart.FlexChart('#chart', {
chartType: 'LineSymbols',
itemsSource: data,
bindingX: 'hour',
legend: {
position: 'Bottom'
},
series: [
{
binding: 't',
name: 'temperature',
tooltipContent: '{y} °C'
},
{
chartType: "Scatter",
binding: 'wspeed',
name: 'wind speed',
tooltipContent: '{wdir}<br/>{y} km/h',
style: { strokeWidth: 1 },
symbolSize: 3,
itemFormatter: (engine, ht, render) => {
render();
var dir = ht.item.wdir;
drawArrow(engine, ht.point, dir);
}
},
],
axisX: {
title: 'hour'
},
axisY: {
title: '°C',
majorGrid: false,
min: 0,
max: 20
},
});
//
var p = new chart.PlotArea();
p.row = theChart.plotAreas.length;
p.name = 'amounts';
p.height = '*';
p.style = { stroke: 'lightgray' };
theChart.plotAreas.push(p);
// create a spacer plot area
p = new chart.PlotArea();
p.row = theChart.plotAreas.length;
p.name = 'spacer';
p.height = 25;
theChart.plotAreas.push(p);
// create a plot area for quantities
p = new chart.PlotArea();
p.row = theChart.plotAreas.length;
p.name = 'quantities';
p.height = '*';
p.style = { stroke: 'lightgray' };
var axy2 = new chart.Axis(chart.Position.Left);
axy2.labels = true;
axy2.title = 'km/h';
axy2.min = 0;
axy2.max = 20;
axy2.plotArea = p;
theChart.series[1].axisY = axy2;
theChart.plotAreas.push(p);
}
function App() {
useEffect(() => {
document.readyState === 'complete' ? init() : window.onload = init;
}, []);
return <div id="chart"/>;
}
const container = document.getElementById('app');
if (container) {
const root = ReactDOM.createRoot(container);
root.render(<App />);
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Wijmo FlexChart Custom Series</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.40/system.src.js" integrity="sha512-G6mEj6h18+m3MvzdviSDfPle/TfH0//cXcB33AKlNR/Rha0yQsKefDZKRTkIZos97HEGq2JMV1RT5ybMoQ3WsQ==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
function getData() {
return [
{
"hour": 0,
"condition": "Cloudy",
"t": 8,
"tfeel": 6,
"precip": 5,
"humidity": 85,
"wdir": "ENE",
"wspeed": 11
},
{
"hour": 1,
"condition": "Cloudy",
"t": 7,
"tfeel": 5,
"precip": 5,
"humidity": 87,
"wdir": "ENE",
"wspeed": 10
},
{
"hour": 2,
"condition": "Cloudy",
"t": 7,
"tfeel": 5,
"precip": 5,
"humidity": 88,
"wdir": "ENE",
"wspeed": 11
},
{
"hour": 3,
"condition": "Cloudy",
"t": 7,
"tfeel": 5,
"precip": 5,
"humidity": 88,
"wdir": "ENE",
"wspeed": 11
},
{
"hour": 4,
"condition": "Cloudy",
"t": 7,
"tfeel": 5,
"precip": 10,
"humidity": 91,
"wdir": "ENE",
"wspeed": 11
},
{
"hour": 5,
"condition": "Cloudy",
"t": 6,
"tfeel": 4,
"precip": 15,
"humidity": 92,
"wdir": "ENE",
"wspeed": 11
},
{
"hour": 6,
"condition": "Cloudy",
"t": 6,
"tfeel": 4,
"precip": 15,
"humidity": 92,
"wdir": "ENE",
"wspeed": 11
},
{
"hour": 7,
"condition": "Cloudy",
"t": 7,
"tfeel": 4,
"precip": 15,
"humidity": 93,
"wdir": "ENE",
"wspeed": 12
},
{
"hour": 8,
"condition": "Cloudy",
"t": 7,
"tfeel": 4,
"precip": 20,
"humidity": 93,
"wdir": "ENE",
"wspeed": 13
},
{
"hour": 9,
"condition": "Cloudy",
"t": 7,
"tfeel": 5,
"precip": 25,
"humidity": 93,
"wdir": "ENE",
"wspeed": 13
},
{
"hour": 10,
"condition": "Cloudy",
"t": 8,
"tfeel": 5,
"precip": 20,
"humidity": 93,
"wdir": "ENE",
"wspeed": 14
},
{
"hour": 11,
"condition": "Cloudy",
"t": 8,
"tfeel": 6,
"precip": 20,
"humidity": 90,
"wdir": "ENE",
"wspeed": 15
},
{
"hour": 12,
"condition": "Cloudy",
"t": 9,
"tfeel": 7,
"precip": 10,
"humidity": 88,
"wdir": "ENE",
"wspeed": 16
},
{
"hour": 13,
"condition": "Cloudy",
"t": 10,
"tfeel": 8,
"precip": 5,
"humidity": 84,
"wdir": "ENE",
"wspeed": 16
},
{
"hour": 14,
"condition": "Cloudy",
"t": 12,
"tfeel": 10,
"precip": 15,
"humidity": 79,
"wdir": "ENE",
"wspeed": 15
},
{
"hour": 15,
"condition": "Cloudy",
"t": 13,
"tfeel": 11,
"precip": 10,
"humidity": 76,
"wdir": "ENE",
"wspeed": 15
},
{
"hour": 16,
"condition": "Cloudy",
"t": 14,
"tfeel": 13,
"precip": 10,
"humidity": 74,
"wdir": "ENE",
"wspeed": 12
},
{
"hour": 17,
"condition": "Cloudy",
"t": 14,
"tfeel": 14,
"precip": 5,
"humidity": 72,
"wdir": "ENE",
"wspeed": 10
},
{
"hour": 18,
"condition": "Mostly Cloudy",
"t": 14,
"tfeel": 14,
"precip": 5,
"humidity": 73,
"wdir": "ENE",
"wspeed": 8
},
{
"hour": 19,
"condition": "Mostly Cloudy",
"t": 13,
"tfeel": 13,
"precip": 5,
"humidity": 79,
"wdir": "NE",
"wspeed": 8
},
{
"hour": 20,
"condition": "Partly Cloudy",
"t": 12,
"tfeel": 11,
"precip": 5,
"humidity": 84,
"wdir": "NNE",
"wspeed": 9
},
{
"hour": 21,
"condition": "Partly Cloudy",
"t": 11,
"tfeel": 10,
"precip": 10,
"humidity": 90,
"wdir": "NNE",
"wspeed": 10
},
{
"hour": 22,
"condition": "Partly Cloudy",
"t": 11,
"tfeel": 9,
"precip": 15,
"humidity": 91,
"wdir": "NE",
"wspeed": 10
},
{
"hour": 23,
"condition": "Mostly Cloudy",
"t": 10,
"tfeel": 9,
"precip": 25,
"humidity": 93,
"wdir": "NE",
"wspeed": 11
}
];
}
export const data = getData();
(function (global) {
window.process = {
env: {
NODE_ENV: "production"
}
}
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.grid.immutable': 'npm:@mescius/wijmo.grid.immutable/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.react.chart.analytics": "npm:@mescius/wijmo.react.chart.analytics/index.js",
"@mescius/wijmo.react.chart.animation": "npm:@mescius/wijmo.react.chart.animation/index.js",
"@mescius/wijmo.react.chart.annotation": "npm:@mescius/wijmo.react.chart.annotation/index.js",
"@mescius/wijmo.react.chart.finance.analytics": "npm:@mescius/wijmo.react.chart.finance.analytics/index.js",
"@mescius/wijmo.react.chart.finance": "npm:@mescius/wijmo.react.chart.finance/index.js",
"@mescius/wijmo.react.chart.hierarchical": "npm:@mescius/wijmo.react.chart.hierarchical/index.js",
"@mescius/wijmo.react.chart.interaction": "npm:@mescius/wijmo.react.chart.interaction/index.js",
"@mescius/wijmo.react.chart.radar": "npm:@mescius/wijmo.react.chart.radar/index.js",
"@mescius/wijmo.react.chart": "npm:@mescius/wijmo.react.chart/index.js",
"@mescius/wijmo.react.core": "npm:@mescius/wijmo.react.core/index.js",
'@mescius/wijmo.react.chart.map': 'npm:@mescius/wijmo.react.chart.map/index.js',
"@mescius/wijmo.react.gauge": "npm:@mescius/wijmo.react.gauge/index.js",
"@mescius/wijmo.react.grid.detail": "npm:@mescius/wijmo.react.grid.detail/index.js",
"@mescius/wijmo.react.grid.filter": "npm:@mescius/wijmo.react.grid.filter/index.js",
"@mescius/wijmo.react.grid.grouppanel": "npm:@mescius/wijmo.react.grid.grouppanel/index.js",
'@mescius/wijmo.react.grid.search': 'npm:@mescius/wijmo.react.grid.search/index.js',
"@mescius/wijmo.react.grid.multirow": "npm:@mescius/wijmo.react.grid.multirow/index.js",
"@mescius/wijmo.react.grid.sheet": "npm:@mescius/wijmo.react.grid.sheet/index.js",
'@mescius/wijmo.react.grid.transposed': 'npm:@mescius/wijmo.react.grid.transposed/index.js',
'@mescius/wijmo.react.grid.transposedmultirow': 'npm:@mescius/wijmo.react.grid.transposedmultirow/index.js',
'@mescius/wijmo.react.grid.immutable': 'npm:@mescius/wijmo.react.grid.immutable/index.js',
"@mescius/wijmo.react.grid": "npm:@mescius/wijmo.react.grid/index.js",
"@mescius/wijmo.react.input": "npm:@mescius/wijmo.react.input/index.js",
"@mescius/wijmo.react.olap": "npm:@mescius/wijmo.react.olap/index.js",
"@mescius/wijmo.react.viewer": "npm:@mescius/wijmo.react.viewer/index.js",
"@mescius/wijmo.react.nav": "npm:@mescius/wijmo.react.nav/index.js",
"@mescius/wijmo.react.base": "npm:@mescius/wijmo.react.base/index.js",
'@mescius/wijmo.react.barcode.common': 'npm:@mescius/wijmo.react.barcode.common/index.js',
'@mescius/wijmo.react.barcode.composite': 'npm:@mescius/wijmo.react.barcode.composite/index.js',
'@mescius/wijmo.react.barcode.specialized': 'npm:@mescius/wijmo.react.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'react': 'npm:react/index.js',
'react-dom': 'npm:react-dom/index.js',
'react-dom/client': 'npm:react-dom/client.js',
"scheduler": "npm:scheduler/index.js",
'redux': 'npm:redux/dist/redux.min.js',
'react-redux': 'npm:react-redux/dist/react-redux.min.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
"react-use-event-hook": "npm:react-use-event-hook/dist/esm/useEvent.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);